# With User Data

Superfluid offers you the option to provide additional data you'd like to pass along with your function call via the userData parameter which is overloaded onto the create/update/delete-Flow functions.

<pre class="language-solidity"><code class="lang-solidity">// Same function call just with additional parameter for user data
<strong>token.createFlow(address receiver, int96 flowRate, bytes memory userData);
</strong>token.updateFlow(address receiver, int96 flowRate, bytes memory userData);
token.deleteFlow(address sender, address receiver, bytes memory userData);
</code></pre>

You can learn more about the usefulness of user data [here](/superfluid/developers/super-apps/user-data.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfav1-library/write-methods/with-user-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
